<ExternalCamera>
    <Provider>
        <!-- Internal video devices to be ignored by external camera HAL -->
        <ignore>
            <id>0</id> <!-- No leading/trailing spaces -->
        </ignore>
    </Provider>
    <!-- See ExternalCameraUtils.cpp for default values of Device configurations below -->
    <Device>
        <!-- Max JPEG buffer size in bytes-->
        <MaxJpegBufferSize bytes="3145728"/> <!-- 3MB (~= 1080p YUV420) -->
        <!-- Size of v4l2 buffer queue when streaming >= 30fps -->
        <NumVideoBuffers count="4"/>
        <NumStillBuffers count="2"/>

        <FpsList>
            <Limit width="1280" height="481" fpsBound="45.0"/>
        </FpsList>
    </Device>
</ExternalCamera>

